petsc-3.13.6 2020-09-29
Report Typos and Errors

# VecViewFromOptions

View from Options

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecViewFromOptions(Vec A,PetscObject obj,const char name[])

Collective on Vec

### Input Parameters

| A | - the vector
| obj | - Optional object
| name | - command line option

### See Also

Vec, VecView, PetscObjectViewFromOptions(), VecCreate()

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex28.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex12.c.html
src/ts/tutorials/ex48.c.html
src/tao/tutorials/ex1.c.html
src/tao/tutorials/ex2.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages